import json

import aiohttp
from v6d0auth import certs
from v6d0auth.client import mycert

from v6d1tokens.config import taurl

__all__ = ('request_token',)


async def request_token(token_id: str) -> str:
    async with aiohttp.ClientSession() as session:
        async with session.post(
                f'{taurl}/get',
                data=json.dumps([token_id, (await mycert()).hex()]).encode()
        ) as response:
            if response.status == 200:
                return certs.receive(await response.read()).decode()
            else:
                raise RuntimeError(response.status)
