import asyncio
import json

import aiohttp
from v6d0auth import certs
from v6d0auth.config import host, port


async def main():
    request = certs.encrypt_self(certs.sign(json.dumps([input('token_id:'), input('token:')]).encode()))
    async with aiohttp.ClientSession() as session:
        # noinspection HttpUrlsUsage
        async with session.post(f'http://{host}:{port}/reg', data=request) as response:
            print(response.status)


if __name__ == '__main__':
    asyncio.run(main())
